# Read an approval (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/approvals/getApproval)

## GET /functions/v1/approvals/{approvalId}

Read an approval

One approval with its status (pending, approved, rejected, consumed, expired). Poll it after 428 APPROVAL_REQUIRED, then repeat the call with the x-ecmr-approval header.

```json
{
  "operationId": "getApproval",
  "parameters": [
    {
      "in": "path",
      "name": "approvalId",
      "schema": {
        "type": "string",
        "format": "uuid"
      },
      "required": true
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Approval"
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json